## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XStringCachedAllocator Class Reference

List of all members.

## Public Types

- typedef XStringCached string_type
- typedef string_type::GetAndReleaseCachedString GetAndReleaseCachedString
- typedef ReusableArenaAllocator<
  string_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XStringCachedAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XStringCachedAllocator ()
- string_type * createString (GetAndReleaseCachedString &theValue)
    Create an XString object from a cached string.
- bool destroy (string_type *theString)
    Delete an XStringCached object from allocator.
- bool ownsObject (const string_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all XStringCached objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ReusableArenaAllocator<string_type> XStringCachedAllocator::ArenaAllocatorType

typedef string_type::GetAndReleaseCachedString XStringCachedAllocator::GetAndReleaseCachedString

typedef ArenaAllocatorType::size_type XStringCachedAllocator::size_type

typedef XStringCached XStringCachedAllocator::string_type

## Constructor & Destructor Documentation

XStringCachedAllocator::XStringCachedAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XStringCachedAllocator::~XStringCachedAllocator | ( |  | ) |

## Member Function Documentation

string_type* XStringCachedAllocator::createString | ( | GetAndReleaseCachedString & | theValue | ) |

  | Create an XString object from a cached string. Parameters:
  theXObject | The source cached string
Returns: a pointer to the new XStringCached instance.

bool XStringCachedAllocator::destroy | ( | string_type * | theString | ) |

| Delete an XStringCached object from allocator.

size_type XStringCachedAllocator::getBlockCount | ( |  | ) | const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XStringCachedAllocator::getBlockSize | ( |  | ) | const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

bool XStringCachedAllocator::ownsObject | ( | const string_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XStringCachedAllocator::reset | ( |  | ) |

| Delete all XStringCached objects from allocator.

The documentation for this class was generated from the following file:

- XStringCachedAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.